arrangers: []
catalog: FEDCA-0002
categories:
- Doujin Music
category: Doujin Music
classification: Original Work
composers: []
covers: []
discs:
- disc_length: Unknown
  name: Disc 1
  tracks:
  - names:
      English: HØWARD HØWE
    track_length: Unknown
  - names:
      English: Harakiri Warriors
    track_length: Unknown
  - names:
      English: Desire
    track_length: Unknown
  - names:
      English: Million Phones
    track_length: Unknown
  - names:
      English: Jormungand
    track_length: Unknown
  - names:
      English: Malicious Moonlight
    track_length: Unknown
  - names:
      English: Paradigm Shift
    track_length: Unknown
  - names:
      English: Eroding Blood
    track_length: Unknown
  - names:
      English: GEOMAGNETIC STORM
    track_length: Unknown
  - names:
      English: Cruel&&Beautiful
    track_length: Unknown
link: album/136656
lyricists: []
media_format: CD
meta:
  added_date: 2024-02-11T09:44
  edited_date: 2024-02-14T15:50
  fetched_date: 2026-01-11T07:33
  freedb: 0
  ttl: 86400
  visitors: 324
name: Far East Dystopia Vol.2
names:
  en: Far East Dystopia Vol.2
  ja: Far East Dystopia Vol.2
  ja-latn: Far East Dystopia Vol.2
notes: 'Released at M3-40 (M3-2017 Fall).

  Artists:

  01 RIZARDI

  02 Aoi Sumito

  03 NASHURI

  04 ChunK

  05 6th

  06 さんけちゃ

  07 NASHURI

  08 STruTS

  09 ChunK vs SealAcid

  10 Y-tek

  Mastering:

  Aoi Sumito

  Artwork:

  Reku

  Guest Composers:

  6th [5]

  STruTS [8]'
organizations:
- &id001
  link: org/4093
  names:
    en: Far East Dystopia
    ja: Far East Dystopia
    ja-latn: Far East Dystopia
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/65/136656/136656-7fb3ae01dffd.jpg
picture_small: https://medium-media.vgm.io/albums/65/136656/136656-7fb3ae01dffd.jpg
picture_thumb: https://thumb-media.vgm.io/albums/65/136656/136656-7fb3ae01dffd.jpg
publish_format: Doujin/Indie
publisher: *id001
related: []
release_date: '2017-10-29'
release_events:
- link: event/205
  name: Released at M3-2017 Fall (Oct 29, 2017)
  shortname: None
release_price:
  currency: JPY
  price: 1000.0
reprints: []
vgmdb_link: https://vgmdb.net/album/136656?perpage=99999
votes: 0
websites:
  Official:
  - link: https://www.tanocstore.net/shopdetail/000000001326/
    name: Far East Dystopia Vol.2 | OTHER LABEL,Far East Dystopia / Delphinium | TANO*C
      STORE
